/* リスト3.12 アナログ入力によって抵抗値の変化を読み取るサンプル */

import cc.arduino.*;        // Arduinoライブラリ
import processing.serial.*; // シリアル通信ライブラリ

Arduino arduino;
int pin = 0;  // 入力ピン（アナログ）

void setup() {
  size(1024,150);
  println(Arduino.list());                       // シリアルポートの一覧を表示
  arduino = new Arduino(this, Arduino.list()[0], 57600);  // Arduinoの接続設定
  arduino.pinMode(pin, Arduino.INPUT);                    // 入出力ポートの設定
}

void draw() {
  background(0);
  int value = arduino.analogRead(pin);  // ピンの状態を読み取る
  ellipse(value, height/2, 30, 30);     // 円を描画
}

