/* リスト3.15 カラー画像と距離画像を取得するサンプル */

import SimpleOpenNI.*;
SimpleOpenNI  context;

void setup() {
  context = new SimpleOpenNI(this);  // SimpleOpenNIの初期化
  context.enableRGB();               // カラー画像を有効にする
  context.enableDepth();             // 距離画像を有効にする

  // 画面サイズの設定
  size(context.rgbWidth() + context.depthWidth(), context.rgbHeight()); 
}

void draw() {
  context.update();                                    // カメラの更新
  image(context.rgbImage(), 0, 0);                     // RGB画像の表示
  image(context.depthImage(), context.rgbWidth(), 0 ); // 距離画像の表示
}
